Bug 1387107 - IndexError: list index out of range
Summary: IndexError: list index out of range
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:74c739a4704823e8c66146c4627...
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-20 06:37 UTC by Sinny Kumari
Modified: 2018-05-29 11:37 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:37:01 UTC


Attachments (Terms of Use)
File: anaconda-tb (1.72 MB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: anaconda.log (74.24 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: dnf.librepo.log (11.60 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: environ (482 bytes, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: hawkey.log (1.08 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: lsblk_output (2.10 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: lvm.log (676.67 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: nmcli_dev_list (1.68 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: os_info (451 bytes, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: storage.log (189.98 KB, text/plain)
2016-10-20 06:37 UTC, Sinny Kumari
no flags Details
File: syslog (5.50 MB, text/plain)
2016-10-20 06:38 UTC, Sinny Kumari
no flags Details
File: ifcfg.log (2.43 KB, text/plain)
2016-10-20 06:38 UTC, Sinny Kumari
no flags Details
File: packaging.log (123.88 KB, text/plain)
2016-10-20 06:38 UTC, Sinny Kumari
no flags Details
File: program.log (73.69 KB, application/octet-stream)
2016-10-20 06:38 UTC, Sinny Kumari
no flags Details

Description Sinny Kumari 2016-10-20 06:37:24 UTC
Description of problem:
Problem Description:
---------------------------
Installing Fedora rawhide latest  nightly compose fails on ppc64(le) . Anaconda GUI installer seems to be stuck at "installing boot loader"
Traceback shows an exception "IndexError: list index out of range"

Steps to reproduce the problem
-----------------------------------------
* Get Fedora rawhide, ppc64 or ppc64le latest nightly ISO from http://ppc.koji.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20161019.n.0/compose/Server
* Start  regular installation process with default options
* Installation will stop at "Installing boot loader"

Version-Release number of selected component:
anaconda-26.8-1

The following was filed automatically by anaconda:
anaconda 26.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/iutil.py", line 689, in get_active_console
    dev = open("/sys/class/tty/%s/active" % dev).read().split()[-1]
  File "/usr/lib64/python3.5/site-packages/pyanaconda/iutil.py", line 693, in isConsoleOnVirtualTerminal
    console = get_active_console(dev)          # e.g. 'tty1', 'ttyS0', 'hvc1'
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/__init__.py", line 673, in dracutSetupArgs
    if iutil.isConsoleOnVirtualTerminal() and \
  File "/usr/lib64/python3.5/site-packages/pyanaconda/bootloader.py", line 841, in set_boot_args
    setup_args = cfg_obj.dracutSetupArgs()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/bootloader.py", line 2438, in writeBootLoaderFinal
    payload=payload)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/bootloader.py", line 2518, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/install.py", line 252, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
IndexError: list index out of range

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.9.0-0.rc1.git1.1.fc26.ppc64le
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide

Comment 1 Sinny Kumari 2016-10-20 06:37:36 UTC
Created attachment 1212357 [details]
File: anaconda-tb

Comment 2 Sinny Kumari 2016-10-20 06:37:38 UTC
Created attachment 1212358 [details]
File: anaconda.log

Comment 3 Sinny Kumari 2016-10-20 06:37:40 UTC
Created attachment 1212359 [details]
File: dnf.librepo.log

Comment 4 Sinny Kumari 2016-10-20 06:37:41 UTC
Created attachment 1212360 [details]
File: environ

Comment 5 Sinny Kumari 2016-10-20 06:37:43 UTC
Created attachment 1212361 [details]
File: hawkey.log

Comment 6 Sinny Kumari 2016-10-20 06:37:44 UTC
Created attachment 1212362 [details]
File: lsblk_output

Comment 7 Sinny Kumari 2016-10-20 06:37:48 UTC
Created attachment 1212363 [details]
File: lvm.log

Comment 8 Sinny Kumari 2016-10-20 06:37:50 UTC
Created attachment 1212364 [details]
File: nmcli_dev_list

Comment 9 Sinny Kumari 2016-10-20 06:37:51 UTC
Created attachment 1212365 [details]
File: os_info

Comment 10 Sinny Kumari 2016-10-20 06:37:54 UTC
Created attachment 1212366 [details]
File: storage.log

Comment 11 Sinny Kumari 2016-10-20 06:38:16 UTC
Created attachment 1212367 [details]
File: syslog

Comment 12 Sinny Kumari 2016-10-20 06:38:18 UTC
Created attachment 1212368 [details]
File: ifcfg.log

Comment 13 Sinny Kumari 2016-10-20 06:38:20 UTC
Created attachment 1212369 [details]
File: packaging.log

Comment 14 Sinny Kumari 2016-10-20 06:38:22 UTC
Created attachment 1212370 [details]
File: program.log

Comment 15 Fedora End Of Life 2017-02-28 10:28:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 16 Fedora End Of Life 2018-05-03 08:24:15 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 11:37:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.